agent_id: rate-limiter
model: claude-haiku-4-6
squad: infrastructure-and-devops
thread_type: C-Thread
purpose: Enforce API rate limits across all Genesis integrations; queue excess requests, prevent 429 storms
status: ready
created: 2026-02-24
